Subject: extent employment authriz

From: "XXC1"<"XXC1"@ofs.co.westchester.ny.us>
Date: Tue, 5 Jul 94 10:51:47 CDT

Hi, Friends,
 
I would like to apply for extent employment authrization. I submitted   
aplication form I-485 and all related file regarding to PR on Aug. 3,1993.  
Now the PR application is pending. I didn't hear anything from INS of New   
York City. I got employment authorization card in Sept. 1993. This card is  
valid only for one year. Now I need to apply for extent the card. Does  
anybody know how to apply for? My local INS is New York City. I would like  
to know where to apply for the application, 26 Federal Palaza or Mid-town of
Mahattan? How long in advance should I apply for the application? I tried to
call local INS. Because of automatic phone system, I can't talk to INS  
officer directly.   
If you have any experices, please share with me. Your help will be really   
appriciated. Thank you very much in advance.
 
xiaobo